Bug 45747 - MaxClients description inaccurate
Summary: MaxClients description inaccurate
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 2.5-HEAD
Hardware: All All
: P4 trivial (vote)
Target Milestone: ---
Assignee: HTTP Server Documentation List
URL: http://httpd.apache.org/docs/trunk/mo...
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2008-09-04 11:16 UTC by Dan Poirier
Modified: 2008-10-20 23:49 UTC (History)
2 users (show)



Attachments
patch for mpm_common.xml (618 bytes, patch)
2008-09-04 11:16 UTC, Dan Poirier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Poirier 2008-09-04 11:16:28 UTC
Created attachment 22526 [details]
patch for mpm_common.xml

The Description for MaxClients states:

"Description: Maximum number of child processes that will be created to serve requests"

This is only true for non-threaded servers, but this entry is shared by all mpms.

Suggest changing to: 
"Description: Maximum number of simultaneous requests that will be served"

A sample patch is attached.

Thanks.
Comment 1 Takashi Sato 2008-09-04 20:28:59 UTC
Good catch. Fixed in r692325.
http://svn.apache.org/viewvc?view=rev&revision=692325
Comment 2 Sander Temme 2008-09-05 07:45:38 UTC
How about: 

"Maximum number of request processing workers that will be created.  These can be processes or threads depending on the MPM in use."
Comment 3 Takashi Sato 2008-09-05 08:44:58 UTC
IMHO it is somewhat long to use "Description"
Comment 4 Dan Poirier 2008-09-05 09:56:46 UTC
Would "Maximum number of requests that can be processed simultaneously" be accurate for all MPMs?
Comment 5 Dan Poirier 2008-09-08 12:35:15 UTC
William A. Rowe, Jr. suggests changing the wording to

"Maximum number of connections that will be processed simultaneously"

which would be accurate for all MPMs.  
Comment 6 Dan Poirier 2008-09-22 06:02:51 UTC
(In reply to comment #5)
> William A. Rowe, Jr. suggests changing the wording to
> 
> "Maximum number of connections that will be processed simultaneously"
> 
> which would be accurate for all MPMs.  

I'm okay with that, or with the current "Maximum number of simultaneous requests that will be served".  Any other opinions?  I'd like to go ahead and get this bug resolved, one way or another.

Dan
Comment 7 Takashi Sato 2008-10-10 05:41:46 UTC
Sorry for late response.
I feel "Maximum number of connections..." is better.
I have comitted it as r703441.
http://svn.apache.org/viewvc?view=rev&revision=703441